summaryrefslogtreecommitdiffstats
path: root/source/l/vte
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/l/vte
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/vte')
-rw-r--r--source/l/vte/fix_meta_alt_keybinding.patch74
-rw-r--r--source/l/vte/slack-desc8
-rwxr-xr-xsource/l/vte/vte.SlackBuild36
-rw-r--r--source/l/vte/vte.escape.cpu.usage.diff89
4 files changed, 24 insertions, 183 deletions
diff --git a/source/l/vte/fix_meta_alt_keybinding.patch b/source/l/vte/fix_meta_alt_keybinding.patch
deleted file mode 100644
index bd364be58..000000000
--- a/source/l/vte/fix_meta_alt_keybinding.patch
+++ /dev/null
@@ -1,74 +0,0 @@
-From 180dcc578e13c6096e277fb853e7162db640f207 Mon Sep 17 00:00:00 2001
-From: Alexandre Rostovtsev <tetromino@gentoo.org>
-Date: Tue, 15 Nov 2011 03:06:40 -0500
-Subject: [PATCH] Map both gdk's Meta and Alt to vte's Meta for >=gtk+-3.2.2
- compatibility
-
-Also, since VTE_META_MASK is now a mask with multiple bits set, code that
-compares gdk key modifiers to VTE_META_MASK by numerical equality is no
-longer guaranteed to work. Therefore, for such comparisons a new function,
-vte_keymap_fixup_modifiers, is introduced; it ensures that if any bits
-matching matching VTE_META_MASK are set, then all are set.
-
-https://bugzilla.gnome.org/show_bug.cgi?id=663779
----
- src/keymap.c | 15 +++++++++++++--
- src/keymap.h | 2 +-
- 2 files changed, 14 insertions(+), 3 deletions(-)
-
-diff --git a/src/keymap.c b/src/keymap.c
-index 9a21669..95b4c5b 100644
---- a/src/keymap.c
-+++ b/src/keymap.c
-@@ -990,6 +990,17 @@ static const struct _vte_keymap_group {
- {GDK_KEY (F35), _vte_keymap_GDK_F35},
- };
-
-+/* Restrict modifiers to the specified mask and ensure that VTE_META_MASK,
-+ * despite being a compound mask, is treated as indivisible. */
-+GdkModifierType
-+_vte_keymap_fixup_modifiers(GdkModifierType modifiers,
-+ GdkModifierType mask)
-+{
-+ if (modifiers & VTE_META_MASK)
-+ modifiers |= VTE_META_MASK;
-+ return modifiers & mask;
-+}
-+
- /* Map the specified keyval/modifier setup, dependent on the mode, to either
- * a literal string or a capability name. */
- void
-@@ -1104,7 +1115,7 @@ _vte_keymap_map(guint keyval,
- } else {
- fkey_mode = fkey_default;
- }
-- modifiers &= (GDK_SHIFT_MASK | GDK_CONTROL_MASK | VTE_META_MASK | VTE_NUMLOCK_MASK);
-+ modifiers = _vte_keymap_fixup_modifiers(modifiers, GDK_SHIFT_MASK | GDK_CONTROL_MASK | VTE_META_MASK | VTE_NUMLOCK_MASK);
-
- /* Search for the conditions. */
- for (i = 0; entries[i].normal_length || entries[i].special[0]; i++)
-@@ -1375,7 +1386,7 @@ _vte_keymap_key_add_key_modifiers(guint keyval,
- return;
- }
-
-- switch (modifiers & significant_modifiers) {
-+ switch (_vte_keymap_fixup_modifiers(modifiers, significant_modifiers)) {
- case 0:
- modifier = 0;
- break;
-diff --git a/src/keymap.h b/src/keymap.h
-index 243e22e..21d9b8e 100644
---- a/src/keymap.h
-+++ b/src/keymap.h
-@@ -27,7 +27,7 @@
-
- G_BEGIN_DECLS
-
--#define VTE_META_MASK GDK_META_MASK
-+#define VTE_META_MASK (GDK_META_MASK | GDK_MOD1_MASK)
- #define VTE_NUMLOCK_MASK GDK_MOD2_MASK
-
- /* Map the specified keyval/modifier setup, dependent on the mode, to either
---
-1.7.8.rc3
-
diff --git a/source/l/vte/slack-desc b/source/l/vte/slack-desc
index cc19a3e09..21d5b0c52 100644
--- a/source/l/vte/slack-desc
+++ b/source/l/vte/slack-desc
@@ -1,14 +1,14 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
vte: vte (terminal emulator widget)
vte:
-vte: VTE is a terminal emulator widget for use with GTK+. This package
+vte: VTE is a terminal emulator widget for use with GTK+. This package
vte: contains the VTE library and development files and a sample
vte: implementation (vte).
vte:
diff --git a/source/l/vte/vte.SlackBuild b/source/l/vte/vte.SlackBuild
index 34debeb33..3d77a8e8e 100755
--- a/source/l/vte/vte.SlackBuild
+++ b/source/l/vte/vte.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=vte
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -37,6 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -51,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
@@ -60,7 +68,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
-cd ${PKGNAM}-$VERSION
+cd ${PKGNAM}-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -70,11 +78,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# https://bugzilla.gnome.org/show_bug.cgi?id=663779
-zcat $CWD/fix_meta_alt_keybinding.patch.gz | patch -p1 || exit 1
-
-# Escape sequences can cause high CPU usage (CVE-2012-2738):
-zcat $CWD/vte.escape.cpu.usage.diff.gz | patch -p1 || exit 1
+./autogen.sh
# Configure:
CFLAGS="$SLKCFLAGS" \
@@ -85,17 +89,17 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
- --disable-introspection \
- --enable-python \
- --enable-gnome-pty-helper \
- --with-gtk=2.0 \
- --with-default-emulation=xterm \
+ --enable-introspection \
+ --disable-vala \
--build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -128,7 +132,7 @@ mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
AUTHORS COPYING* HACKING INSTALL MAINTAINERS NEWS README* \
$PKG/usr/doc/${PKGNAM}-$VERSION
-ln -s /usr/share/gtk-doc/html/vte-0.0 $PKG/usr/doc/vte-$VERSION/html
+ln -s /usr/share/gtk-doc/html/vte-* $PKG/usr/doc/vte-$VERSION/html
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
diff --git a/source/l/vte/vte.escape.cpu.usage.diff b/source/l/vte/vte.escape.cpu.usage.diff
deleted file mode 100644
index e82cf4687..000000000
--- a/source/l/vte/vte.escape.cpu.usage.diff
+++ /dev/null
@@ -1,89 +0,0 @@
---- ./src/table.c.orig 2011-08-16 16:52:48.000000000 -0500
-+++ ./src/table.c 2012-08-08 21:25:15.080344805 -0500
-@@ -550,7 +550,7 @@
- if (G_UNLIKELY (*array == NULL)) {
- *array = g_value_array_new(1);
- }
-- g_value_set_long(&value, total);
-+ g_value_set_long(&value, CLAMP (total, 0, G_MAXUSHORT));
- g_value_array_append(*array, &value);
- } while (i++ < arginfo->length);
- g_value_unset(&value);
---- ./src/vteseq.c.orig 2011-08-16 16:52:48.000000000 -0500
-+++ ./src/vteseq.c 2012-08-08 21:25:15.104344804 -0500
-@@ -557,7 +557,7 @@
- GValueArray *params,
- VteTerminalSequenceHandler handler)
- {
-- vte_sequence_handler_multiple_limited(terminal, params, handler, G_MAXLONG);
-+ vte_sequence_handler_multiple_limited(terminal, params, handler, G_MAXUSHORT);
- }
-
- static void
-@@ -1392,7 +1392,7 @@
- static void
- vte_sequence_handler_DC (VteTerminal *terminal, GValueArray *params)
- {
-- vte_sequence_handler_multiple(terminal, params, vte_sequence_handler_dc);
-+ vte_sequence_handler_multiple_r(terminal, params, vte_sequence_handler_dc);
- }
-
- /* Delete a line at the current cursor position. */
-@@ -1785,7 +1785,7 @@
- static void
- vte_sequence_handler_RI (VteTerminal *terminal, GValueArray *params)
- {
-- vte_sequence_handler_multiple(terminal, params, vte_sequence_handler_nd);
-+ vte_sequence_handler_multiple_r(terminal, params, vte_sequence_handler_nd);
- }
-
- /* Save cursor (position). */
-@@ -2777,8 +2777,7 @@
- {
- GValue *value;
- VteScreen *screen;
-- long param, end, row;
-- int i;
-+ long param, end, row, i, limit;
- screen = terminal->pvt->screen;
- /* The default is one. */
- param = 1;
-@@ -2796,7 +2795,13 @@
- } else {
- end = screen->insert_delta + terminal->row_count - 1;
- }
-- /* Insert the new lines at the cursor. */
-+
-+ /* Only allow to insert as many lines as there are between this row
-+ * and the end of the scrolling region. See bug #676090.
-+ */
-+ limit = end - row + 1;
-+ param = MIN (param, limit);
-+
- for (i = 0; i < param; i++) {
- /* Clear a line off the end of the region and add one to the
- * top of the region. */
-@@ -2817,8 +2822,7 @@
- {
- GValue *value;
- VteScreen *screen;
-- long param, end, row;
-- int i;
-+ long param, end, row, i, limit;
-
- screen = terminal->pvt->screen;
- /* The default is one. */
-@@ -2837,6 +2841,13 @@
- } else {
- end = screen->insert_delta + terminal->row_count - 1;
- }
-+
-+ /* Only allow to delete as many lines as there are between this row
-+ * and the end of the scrolling region. See bug #676090.
-+ */
-+ limit = end - row + 1;
-+ param = MIN (param, limit);
-+
- /* Clear them from below the current cursor. */
- for (i = 0; i < param; i++) {
- /* Insert a line at the end of the region and remove one from